Package org.drinkless.tdlib

# Class TdApi.MessageText

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageText

Enclosing class:
  `TdApi`

public static class TdApi.MessageText extends TdApi.MessageContent
A text message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.LinkPreview`
  `linkPreview`
  A link preview attached to the message; may be null.
  `TdApi.LinkPreviewOptions`
  `linkPreviewOptions`
  Options which were used for generation of the link preview; may be null if default options were used.
  `TdApi.FormattedText`
  `text`
  Text of the message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageText()`
  A text message.
  `MessageText(TdApi.FormattedText text, TdApi.LinkPreview linkPreview, TdApi.LinkPreviewOptions linkPreviewOptions)`
  A text message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public TdApi.FormattedText text
    Text of the message.

  - ### linkPreview

    @Nullable public TdApi.LinkPreview linkPreview
    A link preview attached to the message; may be null.

  - ### linkPreviewOptions

    @Nullable public TdApi.LinkPreviewOptions linkPreviewOptions
    Options which were used for generation of the link preview; may be null if default options were used.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageText

    public MessageText()
    A text message.

  - ### MessageText

    public MessageText(TdApi.FormattedText text, TdApi.LinkPreview linkPreview, TdApi.LinkPreviewOptions linkPreviewOptions)
    A text message.
    Parameters:
      `text` - Text of the message.
      `linkPreview` - A link preview attached to the message; may be null.
      `linkPreviewOptions` - Options which were used for generation of the link preview; may be null if default options were used.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR